<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: htext_bbcode_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

if(!function_exists("htext_bbcode_addtohead")) {
	function htext_bbcode_addtohead() {
		add_to_head("<script type='text/javascript'>".jsminify("
            //<![CDATA[
            $(document).ready(function() {
            	$('.htext-body,.htext-button-hide').hide();
            	$('.htext-head').show().css('cursor', 'pointer').click(function(){
            		$('button',this).toggle();
            		$(this).parents('.htext-main').next('.htext-body').slideToggle(200);
                return false;
                });
            });
            //]]>
        ")."</script>");

	}
}

if (preg_match_all('#\[htext(=(.*?))?\](.*?)\[/htext\]#si', $text)) {

    htext_bbcode_addtohead();
    $text = preg_replace_callback(
        "#\[htext(=(?P<level>.*?))?\](?P<htext>.*?)\[/htext\]#si",
        function ($m) {
            $level = !empty($m['level']) ? $m['level'] : 'member';

            $locale = fusion_get_locale();
            $div_1 = "<div class='htext-main m-t-10 text-bold'>".$locale['bb_htext_text']."<span class='htext-head m-t-5 m-b-5' style='cursor: pointer;'><button class='htext-toggle btn btn-primary btn-xs button'><i class='fa fa-eye m-r-5'></i>".$locale['bb_htext_show']."</button><button class='htext-toggle htext-button-hide btn btn-danger btn-xs button' style='display: none;'><i class='fa fa-eye-slash m-r-5'></i>".$locale['bb_htext_hide']."</button></span></div><div class='htext-body' style='display: none;'>";
            $div_2 = "<div class='alert alert-info'>".$locale['bb_htext_member']."</div>";
            $div_html = "";
            switch ($level) {
                case $level == 'guest':
                    $div_html = $div_1."<div class='m-t-10'>".$m['htext']."</div></div>";
                    break;
                case $level == 'member':
                    $div_html = iMEMBER ? $div_1."<div class='m-t-10'>".$m['htext']."</div></div>" : $div_2;
                    break;
                case $level == 'admin':
                    $div_html = iADMIN ? $div_1."<div class='m-t-10'>".$m['htext']."</div></div>" : $div_2;
                    break;
                case $level == 'superadmin':
                    $div_html = iSUPERADMIN ? $div_1."<div class='m-t-10'>".$m['htext']."</div></div>" : $div_2;
                    break;
                default:
                    $div_html = $div_1."<div class='m-t-10'>".$m['htext']."</div></div>";

            }

            $html = "<div class='code_bbcode'>".$div_html."</div>";

            return $html;
        },
        $text
    );
}